%global momorel 5

Summary: A tool for creating scanners (text pattern recognizers)
Name: flex
Version: 2.5.35
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: Development/Tools
URL: http://flex.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://dl.sourceforge.net/sourceforge/flex/flex-%{version}.tar.bz2
NoSource: 0
Patch0: flex-2.5.35-gcc44.patch
BuildPrereq: bison
BuildRequires: autoconf, byacc
PreReq: info

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q
%patch0 -p1 -b .gcc44~

%build
%configure --disable-dependency-tracking CFLAGS="-fPIC $RPM_OPT_FLAGS"
%make

%install
rm -rf %{buildroot}

%makeinstall mandir=%{buildroot}/%{_mandir}
rm -f %{buildroot}%{_infodir}/dir

( cd %{buildroot}
  ln -sf flex .%{_bindir}/lex
  ln -sf flex .%{_bindir}/flex++
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
)

%find_lang flex

%check
make check

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/flex.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/flex.info %{_infodir}/dir || :
fi

%files -f flex.lang
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_includedir}/FlexLexer.h
%{_infodir}/flex.info*

%changelog
* Sun Jan 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.35-5m)
- apply gcc44 patch
- License: Modified BSD

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.35-4m)
- rebuild against rpm-4.6

* Thu Nov 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.35-3m)
- run install-info

* Sun Jul 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5.35-2m)
- delete /usr/share/man/man1/man1/

* Mon Jul  7 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5.35-1m)
- sync Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5.33-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5.33-4m)
- %%NoSource -> NoSource

* Fri Jan  4 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.5.33-3m)
- update flex-2.5.33-yy.patch 
-- see https://bugzilla.redhat.com/show_bug.cgi?id=242742

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.5.33-2m)
- add rm -f %%{buildroot}%%{_infodir}/dir

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.5.33-1m)
- update to 2.5.33 (sync with FC-devel)
- import all patches from FC

* Thu Apr 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5.4a-22m)
- Change Source URL. use sourceforge.net

* Mon Jul 25 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.5.4a-21m)
- version down. sync with fc-devel

* Mon Feb 28 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.5.27-2m)
- use %%{_libdir}.

* Fri Feb 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.27-1m)
- flex-2.5.27 seems to be safer than flex-2.5.31...

* Fri Feb 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.31-1m)
- version up

* Mon Oct 14 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.4a-20m)
- add BuildPrereq: bison

* Mon Oct  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.5.4a-19m)
- correct License: GPL -> BSD
- clean up %%files

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (2.5.4a-18k)

* Tue Apr  2 2002 Than Ngo <than@redhat.com> 2.5.4a-23
- More ISO C++ 98 fixes (#59670)

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 2.5.4a-22
- rebuild in new enviroment

* Wed Feb 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.5.4a-21
- More ISO C++ 98 fixes (#59670)

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.5.4a-20
- Fix ISO C++ 98 compliance (#59670)

* Wed Jan 23 2002 Than Ngo <than@redhat.com> 2.5.4a-19
- fixed #58643

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Nov  6 2001 Than Ngo <than@redhat.com> 2.5.4a-17
- fixed for working with gcc 3 (bug #55778)

* Sat Oct 13 2001 Than Ngo <than@redhat.com> 2.5.4a-16
- fix wrong License (bug #54574)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix generation of broken code (conflicting isatty() prototype w/ glibc 2.2)
  This broke, among other things, the kdelibs 2.0 build
- Fix source URL

* Thu Sep  7 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging (64bit systems need to use libdir).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS stuff.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- add a libl.a link to libfl.a

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- avoid uninitialized variable warning (Erez Zadok).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.5.4 to 2.5.4a

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 2.5.4

